LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

VIPM and Labview cannot be connnected

Hi,

I have Labview 2013 and I need to control an ARDUINO card.

I have installed the JKI VI Package Manager (VIPM) and when I launch it and browse to LabVIEW Interface for Arduino I have problems in  Installing &Upgrading Packages and I get the following error message:

 

VIPM could not connect to labview 2013. VIPM requires LabView access as part of the current task execution in progress.

Please verify the VI Server. Exported VIs and Machine Access setting in Labview 2013.

make sure you are allowing access to VIPM by specifying "localhost" in the allowed list.

 

I have checked and "localhost" is specified in the Machine Access.

 

How can I solve this problem?

 

 

 

 

0 Kudos
Message 1 of 19
(4,913 Views)

1) The LIFA toolkit for LabVIEW/Arduino interfacing is no longer supported - you should probably use LINX instead: https://www.labviewmakerhub.com/doku.php?id=libraries:linx:start

2) When you open LabVIEW and go to options - what is displayed on the VI Server tab? You need to have the TCP/IP option ticked and the port you use needs to be unique (and not in use by another application or version of LabVIEW). I have localhost ticked under machine access list and a '*' ticked under the exported VIs list.

 

Can you show us a screenshot of your VI server page?

0 Kudos
Message 2 of 19
(4,896 Views)

these are the screenshots of my VI server page.

I have also installed LINX, but I still get the same error that labview 2013 and VIPM cannot be connected.

0 Kudos
Message 3 of 19
(4,873 Views)

In VIPM, what port do you have configured for LabVIEW 2013 as the VI Server port? Try changing both ports to something different (then restart LabVIEW) e.g. 3368 and then try again. You can verify the connection from within VIPM itself.

0 Kudos
Message 4 of 19
(4,861 Views)

This is the page (in VIPM) that you need to check.  As you can see, I have LabVIEW 2013 configured (and Verified!) for Port 3363, which is the Port you have configured for yourself.  This should work for you.  You should be able to have LabVIEW not running, run VIPM, go to this page, set up LabVIEW, and when you click the Verify button, VIPM should start that Version of LabVIEW for you (and put "Yes" in the Connection Verified column).  If this doesn't work, post back here ...

 

VIPM Versions.png

Bob Schor

0 Kudos
Message 5 of 19
(4,817 Views)

in reply to the previous answer: I have tried to change to 3368. But nothing has improved.

 

In attach you can see the page in VIPM.

I thought that there might be something wrong in my installation process. So I have reinstalled VIPM.

Initially I downloaded VIPM from here:

http://jki.net/vipm

 

but then I uninstalled it and I have done all the updates for Labview. then I tried to install lvh_linx-2.0.0.93.vip first. In order to do this, I have been asked to install the latest version of VIPM (the first one I installed was vipm.14.2.1976-windows-setup). I have installed it...but now I am not even able to open VIPM! I double click on it and nothing happens.

 

Any idea?

 

0 Kudos
Message 6 of 19
(4,758 Views)

Look at the PNG you attached.  See the box in the Connection Verified column that is unchecked?  See the line above it that says that the box must be checked for VIPM to work?  See the button at the lower left of that window that says "Verify"?  Push the button -- it should start LabVIEW, make the connection (using Port 3363, since that is what you specified -- be sure that TCP/IP is enabled and is set to this port) and subsequently VIPM should check the box for you.  Once it's done that, it should work.

 

Note that there is a possibility (which I've seen on occasion) that things are slow on your machine and 120 seconds isn't enough time for the connection to be established.  Is this what you are seeing?  Are you pushing the Verify button?  Is anything happening when you do?  Are your settings correct?

 

Bob Schor

0 Kudos
Message 7 of 19
(4,730 Views)

In my png the Connection Verified column is checked and after pressing "Verify" I get the error. I have also tried to increase the connetion time up to 500 sec.

Might be that the problem is the VIPM version? As the first one that I found online was not compatible with my LabVIEW version (2013). I have therefore tried to install LINX first, and from here a newer VIPM version was automatically installed (version 14.0.1941). Then from the JKI VI Package Manager window I select “LabVIEW Interface for Arduino, version 2.2.0.79” (see png2). This launched LabVIEW, however, although the localhost was specified (see attached png3) I get the following error (see png4).

What else should I try to do (apart from using another software to control my Arduino card)?

 

0 Kudos
Message 8 of 19
(4,621 Views)

In the page where you set the VI Server settings, did you also tick the 'TCP/IP' box at the top? Do you have the same port configure in LabVIEW as you do in the VIPM settings? You may need to try a different port if the original one is in use by another application.

 

LabVIEW Options:

2016-01-25_17-28-19.png

 

VIPM Options:

2016-01-25_17-29-42.png

 

If those settings match, and it still doesn't work - you might have a firewall issue or something blocking VIPM or LabVIEW from talking. Try disabling Windows Firewall.

 

 

0 Kudos
Message 9 of 19
(4,605 Views)

sorted!!

for an unknown to me reason labview was not allowed to communicate with VIPM when I tried here at the university (where the laptop is connected to a public wireless), but when I tried at home they communicated immediately and now everything seems working fine!!

0 Kudos
Message 10 of 19
(4,548 Views)